/***************************************************************************
 *   Copyright (C) 2006 by M.Fedotov   *
 *   mo_fedotov@mail.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KANYREMOTEWIDGET_H_
#define _KANYREMOTEWIDGET_H_

#include "kanyremotewidgetbase.h"

class AR_Editor;

class KAnyRemoteWidget : public KAnyRemoteWidgetBase
{
    Q_OBJECT

public:
    KAnyRemoteWidget(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~KAnyRemoteWidget();

	AR_Editor *theEditor;

    /*$PUBLIC_FUNCTIONS$*/

public slots:
    /*$PUBLIC_SLOTS$*/
    virtual void okClicked();
    virtual void cancelClicked();
    virtual void editClicked();
    //virtual void cfgFileChecked(int state);
    virtual void slotEditCfgSave();
    virtual void slotEditCfgCancel();

protected:
    /*$PROTECTED_FUNCTIONS$*/

protected slots:
    /*$PROTECTED_SLOTS$*/

};

#endif

